Add Org Member
curl --request POST \
--url https://api.example.com/api/v2/external/orgs/{slug}/members \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"role": "member"
}
'import requests
url = "https://api.example.com/api/v2/external/orgs/{slug}/members"
payload = {
"email": "jsmith@example.com",
"role": "member"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', role: 'member'})
};
fetch('https://api.example.com/api/v2/external/orgs/{slug}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"member": {
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>"
},
"invite": {
"id": "<string>",
"org_id": "<string>",
"org_slug": "<string>",
"org_name": "<string>",
"email": "<string>",
"invited_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Organizations
Add Org Member
Add a user to the org by email.
If the email matches a Lyceum account, they’re added directly and get a “you’ve been added” email. If not, a pending invite is created and an invite email is sent; signup auto-accepts via the user-created auth hook.
POST
/
api
/
v2
/
external
/
orgs
/
{slug}
/
members
Add Org Member
Path Parameters
Body
application/json
Response
Successful Response
Result of POST /orgs/{slug}/members.
The invitee either had a Lyceum account already (status='added',
member populated) or didn't (status='invited', invite
populated and an invite email was sent).
⌘I

